#ifndef DICTGROUP_H
#define DICTGROUP_H

#include "ui_groupedit.h"

#include <KDialog>


typedef QPair<QString, QStringList> DictGroupPair;
typedef QList<DictGroupPair> DictGroupList;

class DictEdit
{
public:
	DictEdit(const QStringList &list);
	void readConf(const QStringList &list);
	void writeConf();
	const DictGroupList *list() const { return &grouplist; }
	QStringList groups() const;

	void add(const QString &);
	void remove(const QString &);
	void update(const QString &, const QStringList &);
	QStringList selected(const QString &) const;

private:
	DictGroupList grouplist;
};


class DictEditConf : public KDialog, public Ui::GroupEdit
{
	Q_OBJECT

public:
	DictEditConf(QWidget *parent = 0);
	void set(DictEdit *edit, const QList<QListWidgetItem *> &list);
	QStringList selected() const;

private Q_SLOTS:
	void update();
	void add();
	void remove();
	void select(int index);

private:
	DictEdit *groups;
	QList<QListWidgetItem *> databaseList;
};

#endif
