#ifndef DICTSELECTION_H
#define DICTSELECTION_H

#include <QObject>

class KModifierKeyInfo;
class QTimerEvent;
class QClipboard;

struct DictSelectionConf
{
	bool yank, local, remote;
	int minLen, maxLen, warnLen, modifier;
};

class DictSelection : public QObject
{
	Q_OBJECT

public:
	DictSelection();
	const DictSelectionConf &conf() const { return select; }
	void setup(const DictSelectionConf &conf);

public Q_SLOTS:
	void set(bool state);

Q_SIGNALS:
	void selectionChanged(const QString &);

private Q_SLOTS:
	void selection();

private:
	enum Modifier { None, Ctrl, Alt, Meta, Shift };
	Qt::Key modifier;
	DictSelectionConf select;
	QClipboard *clipboard;
	KModifierKeyInfo *modinfo;

	QString current();
#ifndef Q_WS_X11 // poll clipboard when not on X
	int timer;
	void setTimeout(int timeout);
	void timerEvent(QTimerEvent *event);
#endif
};

#endif
