#include "dictwindow.h"

#include <KAboutData>
#include <KCmdLineArgs>


const char *Dikt::AppName = "Dikt";
const char *Dikt::Version = "2a";

int Dikt::newInstance()
{
	KUniqueApplication::newInstance();

	QList<KMainWindow*> windowList = KMainWindow::memberList();
	DictWindow *window = (windowList.isEmpty())
		? new DictWindow() : (DictWindow *)windowList.first();

	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

	if (args->count()) {
		window->startup(args->arg(0));
		for (int i = 1; i < args->count(); ++i) {
			window = new DictWindow();
			window->startup(args->arg(i));
		}
	} else if (windowList.isEmpty())
		window->startup();

	return 0;
}


int main(int argc, char *argv[])
{
	KAboutData aboutData("dikt", 0, ki18n("Dikt"), Dikt::Version,
		ki18n("Network Dictionary"), KAboutData::License_BSD,
		ki18n("Copyright 2008-2010 Goran Tal\nAll rights reserved"));
	aboutData.setProgramIconName("dikt");

	KCmdLineArgs::init(argc, argv, &aboutData);

	KCmdLineOptions options;
	options.add("+[URL]", ki18n("Location to open"));
	KCmdLineArgs::addCmdLineOptions(options);

	Dikt app;
	return app.exec();
}
